


<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Index &mdash; NetExt1 1 documentation</title>
  

  
  
  
  

  
  <script type="text/javascript" src="_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
        <script src="_static/language_data.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="index" title="Index" href="#" />
    <link rel="search" title="Search" href="search.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="index.html" class="icon icon-home"> NetExt1
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">Contents:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="igraphx.html">Network network_extensions.igraphx</a></li>
<li class="toctree-l1"><a class="reference internal" href="multilayer.html">Network network_extensions.multilayer</a></li>
<li class="toctree-l1"><a class="reference internal" href="simulations.html">Network igraphx_simulations.simulations</a></li>
<li class="toctree-l1"><a class="reference internal" href="semantic.html">Network network_extensions.semantic</a></li>
<li class="toctree-l1"><a class="reference internal" href="structure_simulations.html">Result structure of a simulation</a></li>
<li class="toctree-l1"><a class="reference internal" href="graph_plotly.html">Helpers for plotly</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">NetExt1</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="index.html">Docs</a> &raquo;</li>
        
      <li>Index</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            

<h1 id="index">Index</h1>

<div class="genindex-jumpbox">
 <a href="#A"><strong>A</strong></a>
 | <a href="#B"><strong>B</strong></a>
 | <a href="#C"><strong>C</strong></a>
 | <a href="#F"><strong>F</strong></a>
 | <a href="#G"><strong>G</strong></a>
 | <a href="#I"><strong>I</strong></a>
 | <a href="#L"><strong>L</strong></a>
 | <a href="#M"><strong>M</strong></a>
 | <a href="#N"><strong>N</strong></a>
 | <a href="#P"><strong>P</strong></a>
 | <a href="#S"><strong>S</strong></a>
 | <a href="#T"><strong>T</strong></a>
 | <a href="#U"><strong>U</strong></a>
 | <a href="#W"><strong>W</strong></a>
 
</div>
<h2 id="A">A</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="igraphx.html#network_extensions.igraphx.add_edge_safe">add_edge_safe() (in module network_extensions.igraphx)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.addLayerName">addLayerName() (network_extensions.igraphx.multilayer.MultiLayerGraph method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="B">B</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.biPartiteToAttribute">biPartiteToAttribute() (network_extensions.igraphx.multilayer.MultiLayerGraph method)</a>

      <ul>
        <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.BiPartiteGraph.biPartiteToAttribute">(network_extensions.igraphx.multilayer.MultiLayerGraph.BiPartiteGraph method)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="C">C</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="igraphx.html#network_extensions.igraphx.calcTop">calcTop() (in module network_extensions.igraphx)</a>
</li>
      <li><a href="simulations.html#igraphx_simulations.simulations.calculate_diffs">calculate_diffs() (in module igraphx_simulations.simulations)</a>
</li>
      <li><a href="igraphx.html#network_extensions.igraphx.calculatePositions">calculatePositions() (in module network_extensions.igraphx)</a>
</li>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.checkValidity">checkValidity() (network_extensions.igraphx.multilayer.MultiLayerGraph method)</a>
</li>
      <li><a href="igraphx.html#network_extensions.igraphx.chunks">chunks() (in module network_extensions.igraphx)</a>
</li>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.copy">copy() (network_extensions.igraphx.multilayer.MultiLayerGraph method)</a>
</li>
      <li><a href="graph_plotly.html#network_extensions.igraphx.graph_plotly.createFigGraph">createFigGraph() (in module network_extensions.igraphx.graph_plotly)</a>
</li>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.createFigLayeredGraph">createFigLayeredGraph() (network_extensions.igraphx.multilayer.MultiLayerGraph method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.createFigLayeredGraphBip">createFigLayeredGraphBip() (network_extensions.igraphx.multilayer.MultiLayerGraph method)</a>
</li>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.createFigMultiLayerYearNW">createFigMultiLayerYearNW() (network_extensions.igraphx.multilayer.MultiLayerGraph method)</a>
</li>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.BiPartiteGraph.createSimpleLayers">createSimpleLayers() (network_extensions.igraphx.multilayer.MultiLayerGraph.BiPartiteGraph method)</a>
</li>
      <li><a href="graph_plotly.html#network_extensions.igraphx.graph_plotly.createSizeFromFunc">createSizeFromFunc() (in module network_extensions.igraphx.graph_plotly)</a>
</li>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.createSubNetwork">createSubNetwork() (network_extensions.igraphx.multilayer.MultiLayerGraph method)</a>
</li>
      <li><a href="igraphx.html#network_extensions.igraphx.createYearNetworks">createYearNetworks() (in module network_extensions.igraphx)</a>

      <ul>
        <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.createYearNetworks">(network_extensions.igraphx.multilayer.MultiLayerGraph method)</a>
</li>
      </ul></li>
      <li><a href="igraphx.html#network_extensions.igraphx.createYearNetworksParallel">createYearNetworksParallel() (in module network_extensions.igraphx)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="F">F</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.fig">fig() (network_extensions.igraphx.multilayer.MultiLayerGraph property)</a>
</li>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.filter_edge_by_vertices">filter_edge_by_vertices() (network_extensions.igraphx.multilayer.MultiLayerGraph method)</a>
</li>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.filter_es">filter_es() (network_extensions.igraphx.multilayer.MultiLayerGraph method)</a>

      <ul>
        <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.YearNetwork.filter_es">(network_extensions.igraphx.multilayer.MultiLayerGraph.YearNetwork method)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.filter_vs">filter_vs() (network_extensions.igraphx.multilayer.MultiLayerGraph method)</a>

      <ul>
        <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.YearNetwork.filter_vs">(network_extensions.igraphx.multilayer.MultiLayerGraph.YearNetwork method)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="G">G</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.generateMerged_ynws">generateMerged_ynws() (network_extensions.igraphx.multilayer.MultiLayerGraph method)</a>
</li>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.generateMultiLayer">generateMultiLayer() (network_extensions.igraphx.multilayer.MultiLayerGraph method)</a>
</li>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.get_simplified_multi_layer_ynws">get_simplified_multi_layer_ynws() (network_extensions.igraphx.multilayer.MultiLayerGraph method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.getLayerTypes">getLayerTypes() (network_extensions.igraphx.multilayer.MultiLayerGraph method)</a>
</li>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.getLayerYNW">getLayerYNW() (network_extensions.igraphx.multilayer.MultiLayerGraph method)</a>
</li>
      <li><a href="igraphx.html#network_extensions.igraphx.getYearsFromFile">getYearsFromFile() (in module network_extensions.igraphx)</a>
</li>
      <li><a href="igraphx.html#network_extensions.igraphx.GraphCache">GraphCache (class in network_extensions.igraphx)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="I">I</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="simulations.html#module-igraphx_simulations.simulations">igraphx_simulations.simulations (module)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.init_notebook_mode">init_notebook_mode() (network_extensions.igraphx.multilayer.MultiLayerGraph method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="L">L</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.load">load() (network_extensions.igraphx.multilayer.MultiLayerGraph static method)</a>

      <ul>
        <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.BiPartiteGraph.load">(network_extensions.igraphx.multilayer.MultiLayerGraph.BiPartiteGraph class method)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="igraphx.html#network_extensions.igraphx.loadGraphsFromFile">loadGraphsFromFile() (in module network_extensions.igraphx)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="M">M</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="igraphx.html#network_extensions.igraphx.mergeAllGraphsIntervall">mergeAllGraphsIntervall() (in module network_extensions.igraphx)</a>
</li>
      <li><a href="igraphx.html#network_extensions.igraphx.mergeGraphs">mergeGraphs() (in module network_extensions.igraphx)</a>
</li>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.multi_layer">multi_layer() (network_extensions.igraphx.multilayer.MultiLayerGraph property)</a>
</li>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph">MultiLayerGraph (class in network_extensions.igraphx.multilayer)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.BiPartiteGraph">MultiLayerGraph.BiPartiteGraph (class in network_extensions.igraphx.multilayer)</a>
</li>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.JoinedMultiLayerGraph">MultiLayerGraph.JoinedMultiLayerGraph (class in network_extensions.igraphx.multilayer)</a>
</li>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.MergedYearNetwork">MultiLayerGraph.MergedYearNetwork (class in network_extensions.igraphx.multilayer)</a>
</li>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.YearNetwork">MultiLayerGraph.YearNetwork (class in network_extensions.igraphx.multilayer)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="N">N</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="igraphx.html#module-network_extensions.igraphx">network_extensions.igraphx (module)</a>
</li>
      <li><a href="graph_plotly.html#module-network_extensions.igraphx.graph_plotly">network_extensions.igraphx.graph_plotly (module)</a>
</li>
      <li><a href="multilayer.html#module-network_extensions.igraphx.multilayer">network_extensions.igraphx.multilayer (module)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="semantic.html#module-network_extensions.igraphx.semantic">network_extensions.igraphx.semantic (module)</a>
</li>
      <li><a href="igraphx.html#network_extensions.igraphx.NoDataError">NoDataError</a>
</li>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.NotCalculatedYetError">NotCalculatedYetError</a>
</li>
  </ul></td>
</tr></table>

<h2 id="P">P</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="igraphx.html#network_extensions.igraphx.plot_matrix_as_lines">plot_matrix_as_lines() (in module network_extensions.igraphx)</a>
</li>
      <li><a href="igraphx.html#network_extensions.igraphx.projectBipartite">projectBipartite() (in module network_extensions.igraphx)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="igraphx.html#network_extensions.igraphx.projectBipartiteParallel">projectBipartiteParallel() (in module network_extensions.igraphx)</a>
</li>
      <li><a href="igraphx.html#network_extensions.igraphx.projectBipartiteParallel2">projectBipartiteParallel2() (in module network_extensions.igraphx)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="S">S</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.save">save() (network_extensions.igraphx.multilayer.MultiLayerGraph method)</a>
</li>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.saveSimGraphs">saveSimGraphs() (in module network_extensions.igraphx.multilayer)</a>
</li>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.BiPartiteGraph.setEndLayer">setEndLayer() (network_extensions.igraphx.multilayer.MultiLayerGraph.BiPartiteGraph method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.BiPartiteGraph.setStartLayer">setStartLayer() (network_extensions.igraphx.multilayer.MultiLayerGraph.BiPartiteGraph method)</a>
</li>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.simulate">simulate() (network_extensions.igraphx.multilayer.MultiLayerGraph method)</a>
</li>
      <li><a href="simulations.html#igraphx_simulations.simulations.simulate_largest_components">simulate_largest_components() (in module igraphx_simulations.simulations)</a>
</li>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.simulate_ynw">simulate_ynw() (network_extensions.igraphx.multilayer.MultiLayerGraph method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="T">T</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.transform">transform() (in module network_extensions.igraphx.multilayer)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="U">U</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.unify_attributes">unify_attributes() (network_extensions.igraphx.multilayer.MultiLayerGraph method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="igraphx.html#network_extensions.igraphx.union">union() (in module network_extensions.igraphx)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="W">W</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="igraphx.html#network_extensions.igraphx.writeGraphsToFile">writeGraphsToFile() (in module network_extensions.igraphx)</a>

      <ul>
        <li><a href="multilayer.html#network_extensions.igraphx.multilayer.MultiLayerGraph.writeGraphsToFile">(network_extensions.igraphx.multilayer.MultiLayerGraph method)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>



           </div>
           
          </div>
          <footer>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2019, Dirk Wintergrün

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>